您现在的位置: 第一万维网 >> 常见问题 >> 服务器托管 >> 正文

国内IDC喜旧厌新 暴露自身问题

作者: 第一万维… 文章来源:第一万维网 更新时间:2008/4/3 15:27:35

    在外人看来,IT行业的从业者都是有点神秘的电脑高手。真的是这样吗?其实不然,这些吃技术饭的人在技术上有时候很“念旧”,甚至无视新技术。

    老丁是一位在线CRM软件系统开发工程师,开发使用的语言是PHP。众所周知,PHP这门WEB应用类语言现在风头正劲,占据着WEB应用开发类语言的半壁江山。PHP之所以在众多WEB应用类开发语言中后来居上,除了学习门槛低,灵活高效这些因素外,还有重要的一点就是通过ZEND公司的加密工具Zend Guard加密后的PHP代码能有效保护软件开发者的利益,在系统环境中,通过安装Optimizer这一插件,加密后的PHP代码能更有效率地运行。

 

    PHP语言本身是开放源代码的,软件开发者写出的PHP代码却可以选择加密而保护自身权益,有饭吃,有物质条件保证作者写出更好的代码,为使用者提供后续服务。开源、免费这种精神值得学习,但神仙尚需三柱香的供奉,何况是人。

 

    有加密就有解密,ZEND公司的加密技术曾经被破解过,ZEND公司通过更新算法,升级加密工具版本和系统插件版本来应对破解者。

    我们可以在Zend官方站点浏览到Optimizer的版本更替情况,比较频繁。高版本向下兼容,所以用老的加密工具加密的代码一样能在新的Optimizer下运行。当然,高版本的加密算法无法在低版本的Optimizer下运行。

 

    及时更新Optimizer能保证加密过的代码不备解密,且能更有效提高运行效率,兼容性更好。

    由于CRM系统本身的特性,用户对自己的客户数据资源安全性非常高,加上老丁出于保护自己的版权考虑,选择最新加密算法,这就需要Optimizer 的版本为3.3.0a。

 

    不断地学习和升级是IT行业的特点,老丁却在这里遇到了麻烦。客户反映,IDC厂商们的虚拟主机没有安装最新的Optimizer,所以不能运行老丁的CRM软件。

    老丁做了一下调查,确实很多IDC厂商们没有及时更新这一PHP运行插件。令人吃惊的是,甚至很多“老牌”IDC商场们的PHP语言版本都很低,尽管PHP官方一再发布消息,称低版本的PHP环境存在BUG,并停止对PHP4的支持,但这些IDC厂商们却视若无睹-----与他们对外宣传的软文说的“技术先进,服务一流”的说法完全相反。

 

    国内的IDC厂商们有种种理由解释,但为什么香港和国外的虚拟主机提供商大都升级了php和Zend optimizer版本呢?

    老丁尝试跟国内一家IDC公司的技术人员联系,说明情况,请其升级Opitmizer版本,这位牛哄哄的技术人员一口回绝,甚至说“Opitmizer版本现在就到3.0,哪有3.3?”,“什么ZEND公司的官方网站?我没工夫看”。

    上海速腾数据(www.sutenw.com)的丁华先生对记者表示,造成这种原因的问题是国内的IDC厂商的技术人员素质不高,且管理者也很少从客户角度出发考虑问题,只要能赚到钱,只要不出大问题,技术上得过且过,主机管理软件开发商已经把问题考虑得比较全面了,要动动底层的东西,万一“弄坏了”,岂不“更麻烦”?由于速腾数据主要做服务器托管和租用业务,客户如果要求代安装操作系统,速腾的技术人员都会安装最新的补丁和语言插件,如果客户自己安装操作系统,技术人员也会主动建议客户查漏补缺。所以,在速腾数据,从来不会存在这种情况。

 

   丁华先生说,这其实反映了一种情况:国内IDC厂商在提高自身业务素质上还有很长的路要走,并不是仅仅是PHP运行插件“念旧”这一简单的问题。

 

 

Tags:IDC,服务器托管
公司简介 | 公司新闻 | 联系我们 | 有问必答 | 网站地图 | 网站备案
Copyright © 2001-2021 www.01www.com Inc. All rights reserved. 中国信息港旗下网站
《中华人民共和国增值电信业务经营许可证》编号:京B2-20070158(ISP) 京ICP证050145号(ICP)
地址:河南省郑州市经三路鑫苑金融广场金座2006室
第一万维网---中国老牌优秀虚拟主机服务提供商!